Debian Bug report logs - #623619
liferea: constant wasteful disk accesses kill system performance

version graph

Package: liferea; Maintainer for liferea is David Michael Smith <sidicas2@gmail.com>; Source for liferea is src:liferea.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Thu, 21 Apr 2011 21:13:31 UTC

Severity: important

Found in version liferea/1.6.5-1

Fixed in version liferea/1.8.3-0.1

Done: Moray Allan <moray@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Thu, 21 Apr 2011 21:13:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
New Bug report received and forwarded. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Thu, 21 Apr 2011 21:13:39 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liferea: constant wasteful disk accesses kill system performance
Date: Thu, 21 Apr 2011 21:09:24 +0000
[Message part 1 (text/plain, inline)]
Package: liferea
Version: 1.6.5-1
Severity: important

I have a laptop with a 5400 RPM disk, an Intel Core 2 Duo 2.0GHz
processor, and 3GB of RAM.  This machine runs very well normally.
However, when I upgrade this system with liferea running, the load
average spikes to in excess of 7.  When I kill liferea, the load average
drops within seconds to below 4 and within a few more to far below that.

By using htop, I can see that liferea constantly makes numerous very
small IO requests.  This is wasteful because it inhibits the ability of
other, much more important processes to use the disk and it makes it
difficult for the kernel to efficiently optimize disk accesses.  It also
prevents the disk from ever spinning down and causes the CPU to be used
more often than it should, both of which needlessly waste power.

I expect liferea to use modern, sane disk access patterns that do not
constantly drag down the performance of the rest of the system,
including batching disk reads and writes to maximize performance.  If
liferea cannot do this, for some very, very good reason, it should
probably use mmap so that all the data can be faulted in at once (which
should not be at startup; see #502307 and [0]) to avoid this barrage of
tiny disk accesses.

This bug is filed as important because of the impact on other processes
and power management.  I personally do not feel it should be part of any
further stable releases in this condition, but I am not the maintainer.

[0] In the past, liferea has caused such problems at startup that when
it is loaded as part of the GNOME session, it causes the panels not to
appear as a result of it exacerbating some (unknown) race condition.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liferea depends on:
ii  gconf2                   2.32.1-2        GNOME configuration database syste
ii  libatk1.0-0              2.0.0-1         The ATK accessibility toolkit
ii  libc6                    2.11.2-13       Embedded GNU C Library: Shared lib
ii  libcairo2                1.10.2-6        The Cairo 2D vector graphics libra
ii  libdbus-1-3              1.4.8-2         simple interprocess messaging syst
ii  libdbus-glib-1-2         0.92-1          simple interprocess messaging syst
ii  libgconf2-4              2.32.1-2        GNOME configuration database syste
ii  libglade2-0              1:2.6.4-1       library to load .glade files at ru
ii  libglib2.0-0             2.28.6-1        The GLib library of C routines
ii  libgtk2.0-0              2.24.4-3        The GTK+ graphical user interface 
ii  libice6                  2:1.0.7-1       X11 Inter-Client Exchange library
ii  liblua5.1-0              5.1.4-5         Simple, extensible, embeddable pro
ii  libnm-glib2              0.8.3.999-1     network management framework (GLib
ii  libnotify1 [libnotify1-g 0.5.0-2         sends desktop notifications to a n
ii  libpango1.0-0            1.28.3-6        Layout and rendering of internatio
ii  libsm6                   2:1.2.0-1       X11 Session Management library
ii  libsoup2.4-1             2.34.0-1        HTTP library implementation in C -
ii  libsqlite3-0             3.7.5-1         SQLite 3 shared library
ii  libwebkit-1.0-2          1.2.7-2         Web content engine library for Gtk
ii  libx11-6                 2:1.4.3-1       X11 client-side library
ii  libxml2                  2.7.8.dfsg-2+b1 GNOME XML library
ii  libxslt1.1               1.1.26-7+b1     XSLT 1.0 processing library - runt
ii  liferea-data             1.6.5-1         architecture independent data for 

Versions of packages liferea recommends:
ii  curl                          7.21.4-2   Get a file from an HTTP, HTTPS or 
ii  dbus                          1.4.8-2    simple interprocess messaging syst
ii  dbus-x11                      1.4.8-2    simple interprocess messaging syst
ii  wget                          1.12-3     retrieves files from the web

Versions of packages liferea suggests:
ii  network-manager               0.8.998-1  network management framework daemo

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Mon, 20 Feb 2012 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 20 Feb 2012 09:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 623619@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: 623619@bugs.debian.org
Cc: 623619-submitter@bugs.debian.org
Subject: SQLite WAL mode
Date: Mon, 20 Feb 2012 10:03:51 +0100
Have you tried setting "PRAGMA journal_mode = WAL" on the SQLite
database, using the sqlite3 command line tool?

More information is here:

<http://www.sqlite.org/pragma.html#pragma_journal_mode>

This should reduce the commit overhead.  Checkpoints still need fsync,
but the are rare.  fsync behavior for checkpoints is controlled by
"PRAGMA synchronous":

<http://www.sqlite.org/pragma.html#pragma_synchronous>

However, setting this would require changing the liferea code.




Message sent on to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug#623619. (Mon, 20 Feb 2012 09:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Mon, 20 Feb 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 20 Feb 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #18 received at 623619@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Florian Weimer <fw@deneb.enyo.de>, 623619-quiet@bugs.debian.org
Cc: 623619@bugs.debian.org, 623619-submitter@bugs.debian.org
Subject: Re: Bug#623619: SQLite WAL mode
Date: Mon, 20 Feb 2012 21:55:48 +0000
[Message part 1 (text/plain, inline)]
On Mon, Feb 20, 2012 at 10:03:51AM +0100, Florian Weimer wrote:
> Have you tried setting "PRAGMA journal_mode = WAL" on the SQLite
> database, using the sqlite3 command line tool?

Nope.  I didn't know it existed.  If it's needed for reasonable
performance, it should be set by default upon installation.

> More information is here:
> 
> <http://www.sqlite.org/pragma.html#pragma_journal_mode>
> 
> This should reduce the commit overhead.  Checkpoints still need fsync,
> but the are rare.  fsync behavior for checkpoints is controlled by
> "PRAGMA synchronous":
> 
> <http://www.sqlite.org/pragma.html#pragma_synchronous>
> 
> However, setting this would require changing the liferea code.

I tried using this and patched the source code.  It was ineffective.  I
tried a 1.8 prerelease and it was also terribly slow.  I've simply
stopped using liferea because the performance sucks so much and it drags
down the speed of the system with it.

From what I saw when I last looked at the source code, it seems that
liferea uses sqlite very inefficiently, creating temporary tables and
such.  Even if those tables are temporary, they still have to be added
to the database and committed.  I have little experience with SQL or
databases and even I know that such behavior is extremely inefficient.

liferea needs some serious work with regard to performance issues,
especially disk performance.  Without these fixes, at the very least it
needs to call ionice (or ioprio_set(2)) to set an idle IO scheduling
priority so that it isn't a drag on the system.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#623619; Package liferea. (Mon, 20 Feb 2012 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and filed, but not forwarded. (Mon, 20 Feb 2012 21:57:07 GMT) Full text and rfc822 format available.

Message sent on to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug#623619. (Mon, 20 Feb 2012 21:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Tue, 21 Feb 2012 09:57:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Tue, 21 Feb 2012 09:57:56 GMT) Full text and rfc822 format available.

Message #31 received at 623619@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: 623619@bugs.debian.org
Subject: Re: Bug#623619: SQLite WAL mode
Date: Tue, 21 Feb 2012 10:53:33 +0100
* brian m. carlson:

> On Mon, Feb 20, 2012 at 10:03:51AM +0100, Florian Weimer wrote:
>> Have you tried setting "PRAGMA journal_mode = WAL" on the SQLite
>> database, using the sqlite3 command line tool?
>
> Nope.  I didn't know it existed.  If it's needed for reasonable
> performance, it should be set by default upon installation.

It prevents sharing the home directory over NFS on multiple machines
at the same time.

(PRAGMA synchronous = OFF)

> I tried using this and patched the source code.  It was ineffective.

Then fsync performance isn't the issue.  Unless the liferea database
is really large, a couple of writes shouldn't have the impact you
observe.  So it's probably something else.

> From what I saw when I last looked at the source code, it seems that
> liferea uses sqlite very inefficiently, creating temporary tables and
> such.  Even if those tables are temporary, they still have to be added
> to the database and committed.

Not true, temporary objets are kept in a separate, in-memory database.

> I have little experience with SQL or databases and even I know that
> such behavior is extremely inefficient.

You can't say that in general.




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Thu, 23 Feb 2012 04:07:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Thu, 23 Feb 2012 04:07:21 GMT) Full text and rfc822 format available.

Message #36 received at 623619@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Florian Weimer <fw@deneb.enyo.de>
Cc: 623619@bugs.debian.org
Subject: Re: Bug#623619: SQLite WAL mode
Date: Thu, 23 Feb 2012 04:04:55 +0000
[Message part 1 (text/plain, inline)]
On Tue, Feb 21, 2012 at 10:53:33AM +0100, Florian Weimer wrote:
> > On Mon, Feb 20, 2012 at 10:03:51AM +0100, Florian Weimer wrote:
> >> Have you tried setting "PRAGMA journal_mode = WAL" on the SQLite
> >> database, using the sqlite3 command line tool?
> >
> > Nope.  I didn't know it existed.  If it's needed for reasonable
> > performance, it should be set by default upon installation.
> 
> It prevents sharing the home directory over NFS on multiple machines
> at the same time.

So you're saying liferea (or better, libsqlite) should make a statfs
call and enable or disable it on the fly.  NFS support is nice, but it
isn't a common use case and doing bad things for performance for the
common case in order to support NFS is not very nice.

> > I tried using this and patched the source code.  It was ineffective.
> 
> Then fsync performance isn't the issue.  Unless the liferea database
> is really large, a couple of writes shouldn't have the impact you
> observe.  So it's probably something else.

I have approximately 300 feeds.  I imported the blogrolls of Planet
Debian and some other planets some years back.  I also have some feeds
(such as the four or five from the Houston Chronicle) that explicitly
request updates every 6 minutes.  The problem may or may not be
fsync-related.  But on my old laptop (the one I had when I reported this
bug) with a 5400 RPM disk, liferea made other disk-using processes dog
slow.  As I said, it had negative effects on dpkg and also on the load
average far beyond what is reasonable.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Sun, 25 Mar 2012 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moray Allan <moray@sermisy.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 25 Mar 2012 12:30:07 GMT) Full text and rfc822 format available.

Message #41 received at 623619@bugs.debian.org (full text, mbox):

From: Moray Allan <moray@sermisy.org>
To: 623619@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, Florian Weimer <fw@deneb.enyo.de>
Subject: Re: liferea: constant wasteful disk accesses kill system performance
Date: Sun, 25 Mar 2012 13:27:46 +0100
While it's not a good solution, it seems relevant here that following
Ben's suggestion in
http://womble.decadent.org.uk/blog/feed-reading.html
of running liferea with eatmydata indeed makes a huge difference for
me, both increasing liferea's own responsiveness but more importantly
reducing the drag on the rest of the system.

-- 
Moray




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Sun, 25 Mar 2012 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Lindner <lars.lindner@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 25 Mar 2012 20:12:03 GMT) Full text and rfc822 format available.

Message #46 received at 623619@bugs.debian.org (full text, mbox):

From: Lars Lindner <lars.lindner@gmail.com>
To: Moray Allan <moray@sermisy.org>, 623619@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, Florian Weimer <fw@deneb.enyo.de>
Subject: Re: Bug#623619: liferea: constant wasteful disk accesses kill system performance
Date: Sun, 25 Mar 2012 22:08:24 +0200
On Sun, Mar 25, 2012 at 2:27 PM, Moray Allan <moray@sermisy.org> wrote:
> While it's not a good solution, it seems relevant here that following
> Ben's suggestion in
> http://womble.decadent.org.uk/blog/feed-reading.html
> of running liferea with eatmydata indeed makes a huge difference for
> me, both increasing liferea's own responsiveness but more importantly
> reducing the drag on the rest of the system.

From the upstream perspective fsync() disabling is not an option
as it will lead to certain long term data loss.

Note that the WAL journaling was added to 1.8.3 and seems to
help with the performance issues on ext4.

See also:

    http://liferea.blogspot.de/2012/03/for-everyone-wondering-about-bad.html
    http://liferea.blogspot.de/2012/03/morpheus-suggested-in-comment-to-check.html

Regards,
Lars




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Mon, 26 Mar 2012 16:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moray Allan <moray@sermisy.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 26 Mar 2012 16:06:06 GMT) Full text and rfc822 format available.

Message #51 received at 623619@bugs.debian.org (full text, mbox):

From: Moray Allan <moray@sermisy.org>
To: Lars Lindner <lars.lindner@gmail.com>, rodrigo@debian.org
Cc: 623619@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Florian Weimer <fw@deneb.enyo.de>
Subject: Re: Bug#623619: liferea: constant wasteful disk accesses kill system performance
Date: Mon, 26 Mar 2012 17:03:01 +0100
On Sun, Mar 25, 2012 at 9:08 PM, Lars Lindner <lars.lindner@gmail.com> wrote:
>
> Note that the WAL journaling was added to 1.8.3 and seems to
> help with the performance issues on ext4.

Thanks.

I'm now running a local package of 1.8.3, and, from brief usage so
far, things do seem much improved.

From #651913, it appears I'm at least the fourth person to make an
updated version of the package (oops), but we're stuck with 1.6.5 in
unstable currently.  Unfortunately from the changelog it appears that
Rodrigo hasn't had much time for the package since 2009.  The last two
uploads were NMUs.

Rodrigo, will you upload something soon, and/or are you happy for
another DD to upload the new upstream release to unstable?

-- 
Moray




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Mon, 26 Mar 2012 20:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodrigo Gallardo <rodrigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 26 Mar 2012 20:15:09 GMT) Full text and rfc822 format available.

Message #56 received at 623619@bugs.debian.org (full text, mbox):

From: Rodrigo Gallardo <rodrigo@debian.org>
To: Moray Allan <moray@sermisy.org>
Cc: Lars Lindner <lars.lindner@gmail.com>, 623619@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Florian Weimer <fw@deneb.enyo.de>
Subject: Re: Bug#623619: liferea: constant wasteful disk accesses kill system performance
Date: Mon, 26 Mar 2012 12:54:54 -0700
On Mon, 2012-03-26 at 17:03 +0100, Moray Allan wrote:
> On Sun, Mar 25, 2012 at 9:08 PM, Lars Lindner <lars.lindner@gmail.com> wrote:
> >
> > Note that the WAL journaling was added to 1.8.3 and seems to
> > help with the performance issues on ext4.
> 
> Thanks.
> 
> I'm now running a local package of 1.8.3, and, from brief usage so
> far, things do seem much improved.
> 
> >From #651913, it appears I'm at least the fourth person to make an
> updated version of the package (oops), but we're stuck with 1.6.5 in
> unstable currently.  Unfortunately from the changelog it appears that
> Rodrigo hasn't had much time for the package since 2009.  The last two
> uploads were NMUs.
> 
> Rodrigo, will you upload something soon, and/or are you happy for
> another DD to upload the new upstream release to unstable?
> 

There's a 1.8.1 package in mentors that I've reviewed and used locally
for a couple weeks. If another DD is willing to update that to 1.8.3,
just coordinate with the author and feel free to sponsor.





Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623619; Package liferea. (Mon, 26 Mar 2012 21:36:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to bojo42 <bojo42@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 26 Mar 2012 21:36:11 GMT) Full text and rfc822 format available.

Message #61 received at 623619@bugs.debian.org (full text, mbox):

From: bojo42 <bojo42@gmail.com>
To: Rodrigo Gallardo <rodrigo@debian.org>, 623619@bugs.debian.org
Cc: Moray Allan <moray@sermisy.org>, Lars Lindner <lars.lindner@gmail.com>, "brian m. carlson" <sandals@crustytoothpaste.net>, Florian Weimer <fw@deneb.enyo.de>
Subject: Re: Bug#623619: liferea: constant wasteful disk accesses kill system performance
Date: Mon, 26 Mar 2012 23:33:27 +0200
I just updated the package to 1.8.3 and uploaded it to mentors. Happy
testing, reviewing and sponsoring ;)

http://mentors.debian.net/package/liferea





Reply sent to Moray Allan <moray@debian.org>:
You have taken responsibility. (Tue, 27 Mar 2012 21:51:05 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Tue, 27 Mar 2012 21:51:05 GMT) Full text and rfc822 format available.

Message #66 received at 623619-close@bugs.debian.org (full text, mbox):

From: Moray Allan <moray@debian.org>
To: 623619-close@bugs.debian.org
Subject: Bug#623619: fixed in liferea 1.8.3-0.1
Date: Tue, 27 Mar 2012 21:49:25 +0000
Source: liferea
Source-Version: 1.8.3-0.1

We believe that the bug you reported is fixed in the latest version of
liferea, which is due to be installed in the Debian FTP archive:

liferea-data_1.8.3-0.1_all.deb
  to main/l/liferea/liferea-data_1.8.3-0.1_all.deb
liferea-dbg_1.8.3-0.1_amd64.deb
  to main/l/liferea/liferea-dbg_1.8.3-0.1_amd64.deb
liferea_1.8.3-0.1.debian.tar.gz
  to main/l/liferea/liferea_1.8.3-0.1.debian.tar.gz
liferea_1.8.3-0.1.dsc
  to main/l/liferea/liferea_1.8.3-0.1.dsc
liferea_1.8.3-0.1_amd64.deb
  to main/l/liferea/liferea_1.8.3-0.1_amd64.deb
liferea_1.8.3.orig.tar.gz
  to main/l/liferea/liferea_1.8.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623619@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Moray Allan <moray@debian.org> (supplier of updated liferea package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 27 Mar 2012 21:44:42 +0100
Source: liferea
Binary: liferea liferea-data liferea-dbg
Architecture: source all amd64
Version: 1.8.3-0.1
Distribution: unstable
Urgency: low
Maintainer: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
Changed-By: Moray Allan <moray@debian.org>
Description: 
 liferea    - feed aggregator for GNOME
 liferea-data - architecture independent data for liferea
 liferea-dbg - liferea debug symbols
Closes: 502307 623619 631778 651913
Changes: 
 liferea (1.8.3-0.1) unstable; urgency=low
 .
   [ Bojo42 ]
   * Non-maintainer upload.
   * New upstream release (Closes: #502307, #623619, #631778, #651913)
   * debian/patches:
     - drop libnotify0.7 as in upstream
     - debian-example-feeds: update, move planets from "News" to "Open Source"
     - www-browser: update due to new file location
     - libtool-dont-rearange-as-needed: rebase
   * debian/control:
     - update Standards-Version
     - remove obsolete Build-Depends:
       - quilt not needed for "3.0 (quilt)" source format
       - libnm-glib-dev & libdbus-glib-1-dev: upstream switched to GDBus
       - liblua5.1-0-dev: LUA scripting support got dropped
     - new Build-Depends on libunique-dev, libjson-glib-dev & dh_autoreconf
     - update version dependencies
   * debian/rules: run dh_autoreconf & update translations
   * debian/liferea.install: nothing to ship from /usr/lib/liferea
 .
   [ Rodrigo Gallardo ]
   * Lintian love:
     - debian/control: switch from Conflicts to Breaks
     - debian/rules: redo build targets
 .
   [ Moray Allan ]
   * debian/copyright: update to include additional copyright owners.
   * debian/patches/www-browser: also set default external browser.
Checksums-Sha1: 
 0ed75f9a551e2decca057d4bd1ffeb8f05a5a362 1704 liferea_1.8.3-0.1.dsc
 70ff90511260cc6616c0f5ec5b74ed9a498307a8 1864315 liferea_1.8.3.orig.tar.gz
 299b8a25a8268372ea82e0924592ddc1ea5e13d5 19375 liferea_1.8.3-0.1.debian.tar.gz
 d8daaaf9e6981a20b61ef44ed3b609e0a0f389fd 918766 liferea-data_1.8.3-0.1_all.deb
 f14ef84523a0cf30c1293e8ca16d808c7f945168 212848 liferea_1.8.3-0.1_amd64.deb
 21f9cbe4d038a2de6df46e3ccc207654b0d3000f 579010 liferea-dbg_1.8.3-0.1_amd64.deb
Checksums-Sha256: 
 6b50c75fe629cefc3d93be07c4dd55d0f22c43de94977fa01cd386dc909c6d6a 1704 liferea_1.8.3-0.1.dsc
 b85b1b4d21e5c1a97457c2d7d91bb36273154dcb0037cf526aae637b9b2ce97e 1864315 liferea_1.8.3.orig.tar.gz
 31c288c1a8a80828a859ba996c609153b654df7a78d8f3841f5a6f6a8ea87b88 19375 liferea_1.8.3-0.1.debian.tar.gz
 e647cadce58b3f60f66c6b31bdc015d211d0f8ef297b8af797b28c2f7c68e25b 918766 liferea-data_1.8.3-0.1_all.deb
 7c8ad6689270656012eb7cefa4b20fdc013981d6df7aafe2795cb3bd1107a712 212848 liferea_1.8.3-0.1_amd64.deb
 5c09538dc76a2bffbd20919dbc28c39e23934fd246e5400025eef5d4d440eb4c 579010 liferea-dbg_1.8.3-0.1_amd64.deb
Files: 
 8137b9e30f9f42b487442315e8575f12 1704 web optional liferea_1.8.3-0.1.dsc
 afa1b7e4a8d149a470f2053120beacb1 1864315 web optional liferea_1.8.3.orig.tar.gz
 782d389ac4970eba6b646d01cbd86a10 19375 web optional liferea_1.8.3-0.1.debian.tar.gz
 e440dc6eb0097ae7acc0dd74afb25ee6 918766 web optional liferea-data_1.8.3-0.1_all.deb
 5c9f500667e16725995922e8a6501408 212848 web optional liferea_1.8.3-0.1_amd64.deb
 617df9c8f0dc385060fbc04e26d3d393 579010 debug extra liferea-dbg_1.8.3-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9yKTQACgkQ500puCvhbQFCIQCeJ5+zndl87tQN6nMdHL7Wnu5t
VkMAoMtMcAVkeZJOn/nMsZwbhDUvkOnE
=SiaO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 May 2012 07:36:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:51:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.